# $Revision: 1.14.2.2 $, $Date: 2003/10/28 11:59:28 $
Summary:	Implementation of E-component of Network Intrusion Detection System
Summary(pl):	Implementacja E-komponentu NIDS (sieciowego systemu wykrywania intruzw)
Name:		libnids
Version:	1.16
Release:	3
Epoch:		1
License:	BSD
Group:		Libraries
Source0:	http://dl.sourceforge.net/libnids/%{name}-%{version}.tar.gz
# Source0-md5:	95497093d0de330be12ddc658ad7decc
Patch0:		%{name}-conf.patch
Patch1:		%{name}-fixes-from-1.18.patch
Patch2:		%{name}-nolibs.patch
URL:		http://libnids.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libnet-devel
BuildRequires:	libpcap-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Libnids is an implementation of an E-component of Network Intrusion
Detection System. It emulates the IP stack of Linux 2.0.x. Libnids
offers IP defragmentation, TCP stream assembly and TCP port scan
detection.

%description -l pl
Libnids jest implementacj E-komponentu Systemu Wykrywania Intruzw w
Sieci (NIDS). Emuluje ona stos IP Linuksa 2.0.x. Libnids oferuje
defragmentacj IP, asemblacj strumienia TCP oraz wykrywanie
skanowania portw TCP.

%package devel
Summary:	Header files and develpment documentation for libnids
Summary(pl):	Pliki nagwkowe i dokumetacja do libnids
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description devel
Header files and develpment documentation for libnids.

%description devel -l pl
Pliki nagwkowe i dokumetacja do libnids.

%package static
Summary:	Static libnids library
Summary(pl):	Biblioteka statyczna libnids
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
Static libnids library.

%description static -l pl
Biblioteka statyczna libnids.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
cp -f /usr/share/automake/config.* .
%{__autoconf}
%{__autoheader}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	install_prefix=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc CHANGES README CREDITS MISC doc/*
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%{_includedir}/*.h
%{_mandir}/man3/*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libnids.spec,v $
Revision 1.14.2.2  2003/10/28 11:59:28  qboosh
- backported some fixes from 1.18, including fix for CAN-2003-0850
- release 3

Revision 1.14.2.1  2003/07/11 12:01:44  eothane
- some pld.org.pl->pld-linux.org cosmetics

Revision 1.14  2002/03/23 14:06:48  kloczek
- release 2.

Revision 1.13  2002/02/23 03:26:02  kloczek
- adapterized.

Revision 1.12  2002/02/22 23:29:12  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.11  2002/02/02 20:24:28  ankry
- adding es/fr/pt_BR/ru/uk (and eventually de) Group translations

Revision 1.10  2002/02/01 14:52:09  ankry
- added Group(es/pt_BR/ru/uk)

Revision 1.9  2002/01/18 02:13:41  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.8  2000/12/19 02:45:51  kloczek
- added autoconf to BuildRequires,
- cosmetics in %install.

Revision 1.7  2000/12/18 20:29:55  areq
- updated to 1.16

Revision 1.6  2000/11/20 17:55:26  misiek
don't duplicate patches

Revision 1.5  2000/11/20 17:24:27  baggins
- release 3

Revision 1.4  2000/11/20 17:24:10  baggins
- added system-libs patch
- lect configure find libpcap

Revision 1.3  2000/11/20 12:51:36  baggins
- release 2
- let configure find libnet

Revision 1.2  2000/11/02 12:17:14  kloczek
- spec adapterized,
- do not compress man pages.

Revision 1.1  2000/11/02 09:05:52  misiek
new spec
